RedBoot User's Guide
Prev | Chapter 5. Installation and Testing |

# SuperH/SH4(SH7751) Hitachi Solution Engine 7751

## Overview

RedBoot uses the COM1 serial port. The default serial port settings are 38400,8,N,1. Ethernet is also supported using the 10-base T connector. Management of onboard flash is also supported.

The following RedBoot configurations are supported:

Configuration | Mode | Description | File
--- | --- | --- | ---
ROM | [ROM] | RedBoot running from the board's flash boot sector. | redboot_ROM.ecm
RAM | [RAM] | RedBoot running from RAM with RedBoot in the flash boot sector. | redboot_RAM.ecm

## Initial Installation Method

The Solution Engine ships with the Hitachi boot monitor in EPROM which allows for initial programming of RedBoot:

1. Set switches SW5-3 and SW5-4 to ON [boot from EPROM]

2. Connect a serial cable to COM1 and power up the board.

3. After the boot monitor banner, invoke the flash download/program command:

       Ready >fl

4. The monitor should now ask for input:

       Flash ROM data copy to RAM
       Please Send A S-format Record

   At this point copy the RedBoot ROM SREC file to the serial port:

       $ cat redboot_ROM.eprom.srec > /dev/ttyS0

   Eventually you should see something like

       Start Addrs = A1000000
       End Addrs = A1xxxxxx
       Transfer complete

   from the monitor.

5. Set switch SW5-3 to OFF [boot from flash] and reboot the board. You should now see the RedBoot banner.

## Special RedBoot Commands

The exec command which allows the loading and execution of Linux kernels is supported for this board (see the Section called Executing Programs from RedBoot in Chapter 2). The exec parameters used for the SE7751 are:

-b `<addr>`

  Parameter block address. This is normally the first page of the kernel image and defaults to 0x8c101000

-i `<addr>`

  Start address of initrd image

-j `<size>`

  Size of initrd image

-c `"args"`

  Kernel arguments string

-m `<flags>`

  Mount rdonly flags. If set to a non-zero value the root partition will be mounted read-only.

-f `<flags>`

  RAM disk flags. Should normally be 0x4000

-r `<device number>`

  Root device specification. /dev/ram is 0x0101

-l `<type>`

  Loader type

Finally the kernel entry address can be specified as an optional argument. The default is 0x8c102000

On the SE7751, Linux expects to be loaded at address 0x8c101000 with the entry point at 0x8c102000. This is configurable in the kernel using the CONFIG_MEMORY_START option.

## Memory Maps

RedBoot sets up the following memory map on the SE7751 board.

    Physical Address Range  Description
    ----------------------- -----------
    0x80000000 - 0x803fffff Flash (MBM29LV160)
    0x81000000 - 0x813fffff EPROM (M27C800)
    0x8c000000 - 0x8fffffff SDRAM
    0xb8000000 - 0xb8ffffff PCMCIA (MaruBun)
    0xb9000000 - 0xb9ffffff Switches
    0xba000000 - 0xbaffffff LEDs
    0xbd000000 - 0xbdffffff PCI MEM space
    0xbe200000 - 0xbe23ffff PCI Ctrl space
    0xbe240000 - 0xbe27ffff PCI IO space

## Ethernet Driver

The ethernet driver uses a hardwired ESA which can, at present, only be changed in CDL.

## Rebuilding RedBoot

These shell variables provide the platform-specific information needed for building RedBoot according to the procedure described in Chapter 3:

    export TARGET=se7751
    export ARCH_DIR=sh
    export PLATFORM_DIR=se7751

The names of configuration files are listed above with the description of the associated modes.

Prev | Home |
SuperH/SH3(SH77X9) Hitachi Solution Engine 77X9 | Up |